Subject: [precis] AD Evaluation of draft-ietf-precis-7613bis-07

From: Ben Campbell <[email-masked]>
Date: Tue, 13 Jun 2017 17:07:32 -0500

Hi,

This is my AD evaluation of draft-ietf-precis-7613bis-07.

I think this draft is ready for IETF last call, which I will request shortly. I have a few comments, all about references, that I think can be handled along with any last call comments.

Thanks!

Ben.
———————

- Should the references to RFC 7613 in the IANA considerations be updated to point to this document? (Some _say_ “this document”).

- There are some citations to RFC 4013 and 3545 that seem to be overtaken by events. For example, there is a statement that 4013 is obsoleted by this document, when in fact it was obsoleted by 7613. Please check to make sure that any such citations (and their surrounding context) will still make sense when this draft is published as an RFC.

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 13 Jun 2017 17:06:57 -0600

On 6/13/17 4:07 PM, Ben Campbell wrote:
> I think this draft is ready for IETF last call, which I will request
> shortly. I have a few comments, all about references, that I think
> can be handled along with any last call comments.
> 
> Thanks!
> 
> Ben. ———————
> 
> - Should the references to RFC 7613 in the IANA considerations be
> updated to point to this document? (Some _say_ “this document”).

Yes, they should. I actually made that change the other day, along with
cross-references to 7564bis instead of RFC 7564 (etc.)...

https://github.com/stpeter/precis-framework/commit/58e4b072f9838fe4cc454594bff2e6e64daaf73b#diff-3956fe36c870ed54d75e6a05394dd92f

> - There are some citations to RFC 4013 and 3545 that seem to be
> overtaken by events. For example, there is a statement that 4013 is
> obsoleted by this document, when in fact it was obsoleted by 7613.
> Please check to make sure that any such citations (and their
> surrounding context) will still make sense when this draft is
> published as an RFC.

Good catch - we'll clean that up. (The references to the older specs
might be appropriate where we're trying to show the historical
continuity of thinking on these issues, but not when we're talking about
which documents this one obsoletes.)

Peter

---

From: Ben Campbell <[email-masked]>
Date: Tue, 13 Jun 2017 19:47:33 -0500

> On Jun 13, 2017, at 6:06 PM, Peter Saint-Andre <[email-masked]> wrote:
> 

Excellent. Hopefully you’ve already fixed any comments that might come up in IETF last call or IESG review, too :-)

> which documents this one obsoletes.)

Perfect, thanks!

Ben.